pro filedesc

dir=dialog_pickfile(/directory)
cd,dir
openw,loglun,'c:\filedesc.log',/get_lun

dirs=file_search(/test_directory)


printf,loglun,format='(A-18,A-48,A6,A12,A12)','directory','description','file#','start time','end time'
;loop for process each directory
for d=0,n_elements(dirs)-1 do begin

	cd,dirs[d]

	files=file_search('*.dat')
	nf=n_elements(files)
	;if there is no file in this directory, then jump out this dir.
	if nf lt 2 then begin
		if n_elements(files) eq 1 and strlen(files) eq 0 then begin
  			cd,'..'
  			continue
  		endif
  	endif

	acqheader=fst_header(files[0])
	printf,loglun,format='(A-18,A-48,A6,A12,A12)',dirs[d],acqheader.scandesc,strtrim(string(nf),2),strmid(files[0],12,6),strmid(files[nf-1],12,6)
	catch,error_status
	if(error_status ne 0) then begin
		cd,'..'
		continue
	endif

	cd,'..'

endfor

free_lun,loglun

end