;+
; NAME:
;     fst_byte2int
; PURPOSE:
;     To convert an unsigned byte into an signed integer
; CATEGORY:
;     OVRO FST DATA ANALYSIS
; CALLING SEQUENCE:
;     fst_byte2int(byte)
; INPUTS:
;     byte: unsigned integer assumed to represent an 8bit signed integer
;
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
;
;
; ROUTINES CALLED:
; OUTPUTS:signed integer
; COMMENTS:
;
; SIDE EFFECTS:
; RESTRICTIONS:
; MODIFICATION HISTORY:
;     Written 27-Jan-2005 by Zhiwei Liu


function fst_byte2int,x
  y=fix(x) and 128
  return,-2*y+fix(x)
end
