pro fst_getpsys, unit,psys=psys
  template={chanid:0l,timestamp:0d,data:0d}
  status = FSTAT(unit)
  if (status.open eq 0) or (status.read eq 0) then message,'The file unit must be open for reading'
  point_lun,-unit,pos
  file_size=status.size
  recsize=n_tags(template,/data)
  unread=(file_size-pos)/recsize
  if unread lt 0 then begin
    point_lun,unit,0
    tempvar = SIZE(TEMPORARY(psys))
    return
  end
  if unread eq 0 then return
  data=replicate(template,unread)
  readu,unit,data
  if n_elements(psys) eq 0 then begin
   psys=data
   return
  end
  psys=[psys,data]
  return
 end
