pro FST_readtest

;Use read_header to read header information
;If file is undefined, the user is aked for.
;Keyword unit needed to hold the datafile unit.
;Keyword /comment nedeed if wanted to print information on IDL console
;Keyword /notfree needed to keep the file open and the filepointer
;pointing the first data record
header=fst_header(file,unit=unit,/notfree)
names=tag_names(header)
for t=0,n_tags(header)-1 do begin
print,''
print,'HEADER.'+names(t)+':'
help,header.(t),/str
end

point_lun,-unit,offset

;Use fst_template to build the data buffer holding a data record

data=fst_template(header)
names=tag_names(data)
for t=0,n_tags(data)-1 do begin
print,''
print,'DATA.'+names(t)+':'
help,data.(t)
if size(data.(t),/tname) eq "STRUCT" then help,data.(t),/str
end

;Scan the file to read each data record

for i =0, header.nrec-1 do begin

 t0=systime(/s)
 readu,unit,data

 print,string(data.acqseq,N_Tags(data, /data_Length), systime(/s)-t0,$
       format="('Record#',i2,' (',i10,' bytes) read in',f7.3,' seconds')")

end


;Free the data file unit
free_lun, unit
end

