pro fst_save_panels,pm,filename=filename,config=config
	default,filename,'/home/project/data/fst_imgap.ps'
	pc = pm->get(/plot_control)
	default,config,{xsize:10.0,xoff:0.5,ysize:7.0,yoff:0.5,filename:filename, $
					inches:1, color:1, bits_per_pixel:8, encapsulated:0,landscape:1}
    savefont = !p.font
    !p.font = 0
    savethick=!p.thick
    !p.thick = !p.thick eq 0. ? 2. : !p.thick*2.
    savexthick = !x.thick & saveythick = !y.thick
    !x.thick = 3. & !y.thick = 3.
    thisDevice = !D.NAME
    TVLCT, r, g, b, /GET
    SET_PLOT, 'PS'
    !P.Background = pc.pp.background
    TVLCT, pc.rcolors, pc.gcolors, pc.bcolors, pc.bottom
    DEVICE, _EXTRA=config
    if config.color then begin
    	pm -> set, axis_color = pc.color_names.black
        q = where (*pc.dim1_colors eq pc.color_names.white, count)
       	if count gt 0 then begin
       		(*pc.dim1_colors)[q] = pc.color_names.black
           	pm -> set, dim1_colors = *pc.dim1_colors
        endif else begin
        	pm -> set, axis_color = 0, $
            	       contour_color = 0, $
            		   dim1_colors = *pc.dim1_colors*0, $
            		   overlay_color = [0,0,0,0], $
            		   limb_color = 0, $
            		   grid_color = 0, $
            		   legend_color = 0
        endelse
		panel_desc = pm->get(/all_panel_desc)
		pn = n_elements(panel_desc)
		for n = 0,pn-1 do begin
			panel=pm->desc2panel(panel_desc[n])
			pm->restore_saved_data,*panel
			pm->plot
    ;       ok = EXECUTE('pm -> plot')
    ;       Make sure the command can execute in the PS device.
    ;    	IF NOT ok THEN BEGIN
    ;  			msg = 'Error creating PS file.'
    ;    		message, msg, /cont
    ;  		ENDIF
		endfor
      	DEVICE, /CLOSE_FILE
        SET_PLOT, thisDevice
        TVLCT, r, g, b
      ; after plotting, updated panel info with PS parameters.  Set back to screen parameters
        !P.Background =pc.pp.background
        !p.font = savefont
        !p.thick = savethick
        !x.thick = savexthick
        !y.thick = saveythick
	endif
end
