pro multifocis,blockns=blockns,_extra=_extra

   ; Get input file list
   files = dialog_pickfile(/multi,filter='*.dat')
   n = n_elements(files)
   if (n eq 1) then if (files[0] eq '') then return

   ; Get output directory
   dir = dialog_pickfile(/dir,title='Pick an output directory')
   if (dir[0] eq '') then return

   if (not keyword_set(blockns)) then blockns = 1000
   id = progmeter(/init,button='Abort')
   for i = 0, n-1 do begin
      break_file,files[i],disk,indir,stem,ext
      outfile = dir+stem+'.foc'
      focis,acqfile=files[i],outfile=outfile,blockns=blockns,_extra=_extra
      res = progmeter(id,(i+1.)/n)
      if (res eq 'Cancel') then return
   endfor
   res = progmeter(id,/destroy)

return
end