
pro fst_summarize_records, infile=infile, focisout=focisout

 ; read the spectral data from the disk file produced by FOCIS
 DEFAULT, infile, 'focisoutemp.dat'

 fst_focisout_multistr, infile=infile, focisout=mdat

 nr=n_elements(mdat)
 for i=0,nr-1 do begin
    nf=n_elements(mdat[i].freqmhz)
    if (mdat[i].recheader.pol eq 0) then pstr='RCP' else pstr='LCP'
    if (mdat[i].recheader.nd eq 0) then nstr=' ' else nstr='N'
    print,i,mdat[i].acqheader.scanid,nf,fix(mdat[i].freqmhz[0]),'-',$
          fix(mdat[i].freqmhz[nf-1]),pstr,nstr,mdat[i].acqheader.name,$
          mdat[i].acqheader.scandesc,$
          format='(i-4,a16,i6,i6,a1,i-6,1x,a3,1x,a1,2x,a-8,a-30)'
 end

 focisout=mdat

end
