pro read_nd,filename,nd,bid,psys

   nd = intarr(10000)
   bid = intarr(10000)
   psys = fltarr(3,10000)
   focisout = fst_focisout_read(lunh, ACQHEADER=acqheader, FILENAME=filename, /NEWFILE, /RECHDR)
   fout = replicate(focisout,2389)
   fout[0] = focisout
   freq = fst_startfreq(focisout.recheader,band_id=band_id)
   bid[0] = band_id
   nd[0] = focisout.recheader.nd
   psys[*,0] = focisout.recheader.psys.data
   i = 1
   id = progmeter(/init,button='Abort',label='Reading progress')
   while not EOF(lunh) do begin
      focisout = fst_focisout_read(lunh,ACQHEADER=acqheader,/RECHDR)
      fout[i] = focisout
      freq = fst_startfreq(focisout.recheader,band_id=band_id)
      bid[i] = band_id
      nd[i] = focisout.recheader.nd
      psys[*,i] = focisout.recheader.psys.data
      i = i + 1
      res = progmeter(id,i/10000.)
      if (res eq 'Cancel') then goto,abort
   endwhile
abort:
   res = progmeter(id,/destroy)
   free_lun,lunh
   nd = nd[0:i-1]
   bid = bid[0:i-1]
   psys = psys[*,0:i-1]

return
end
